/* COMMONS ===================================== */
* {
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

body {
  background-color: #e9ebee;
  font-family: 'SFProDisplay-Regular', Helvetica, Arial, sans-serif;
  line-height: 1.34;
  unicode-bidi: embed;
}

button {
  padding: 6px 12px;
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 4px;
}

div {
  margin: 0;
  padding: 0;
}

.hyphenate {
  white-space: pre-wrap;
  word-wrap: break-word;
  overflow-wrap: break-word;

  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  hyphens: auto;
}

img {
  margin: 0;
}

nav {
  background-color: #4267b2;
  border-bottom: 1px solid #29487d;
  height: 42px;
  left: 0;
  padding: 5px 10px 10px;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 5;
}

pre {
  font-family: 'SFProDisplay-Regular', Helvetica, Arial, sans-serif;
  line-height: 1.34;
  unicode-bidi: embed;
}

svg._close-button {
  height: 16px;
  position: absolute;
  right: 15px;
  top: 15px;
  width: 16px;
}
svg.privacyicon {
  height: 14px;
  width: 14px;
}

/* PAGES ======================================= */
.auth-footer {
  margin: 62px auto 10px;
  max-width: 980px;
  padding: 8px 0 0;
  width: 100%;
}

.auth-loginpage {
  background-color: #edf0f5;

  > .container {
    margin: auto;
    max-width: 980px;
    padding: 82px 0;
    width: 100%;
  }

  .left {
    display: inline-block;
    padding: 0 32px 0 0;
    vertical-align: top;
    width: 58%;
  }
  .left > .brand {
    display: block;
    height: 30px;
    margin: 0 0 24px;
    width: 160px;
  }
  .left > .decorate {
    width: 100%;
  }
  .left > p {
    font-family: 'SFProDisplay-Bold', Helvetica, Arial, sans-serif;
    font-size: 26px;
    margin: 0 0 12px;
    padding: 0 0 20px;
  }

  .right {
    display: inline-block;
  }
  .right > .loginbox {
    background-color: white;
    border: none;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1), 0 8px 16px rgba(0, 0, 0, 0.1);
    margin: 40px 0 0;
    padding: 10px 0 24px;
    text-align: center;
    width: 396px;
  }
  .right > .loginbox a {
    color: #1877f2;
    display: block;
    font-size: 16px;
    margin: 16px auto 0;
    text-decoration: none;
  }
  .right > .loginbox a:hover {
    cursor: pointer;
    text-decoration: underline;
  }
  .right > .loginbox button {
    border-radius: 6px;
    color: white;
    display: block;
    font-weight: bold;
    padding: 8px 16px;
  }
  .right > .loginbox button:hover {
    cursor: pointer;
  }
  .right > .loginbox button#loginsubmit {
    background-color: #1877f2;
    font-size: 22px;
    margin: 10px auto 0;
    max-width: 364px;
    width: 96%;
  }
  .right > .loginbox button#signuptoggle {
    background-color: #42b72a;
    font-size: 19px;
    margin: 10px auto 0;
  }
  .right > .loginbox hr {
    color: white;
    margin: 20px 16px;
  }
  .right > .loginbox input {
    border: 1px solid #eee;
    border-radius: 6px;
    display: block;
    font-size: 19px;
    height: 50px;
    line-height: 16px;
    margin: 10px auto;
    max-width: 364px;
    padding: 14px 16px;
    width: 96%;
  }
}

.auth-signupmodal {
  align-items: center;
  bottom: 0;
  display: flex;
  justify-content: center;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;

  > .signupbox {
    background-color: white;
    border: none;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1), 0 8px 16px rgba(0, 0, 0, 0.1);
    display: inline-block;
    max-height: 100vh;
    max-width: 434px;
    overflow-y: auto;
    position: relative;
    scrollbar-color: rgba(75, 79, 86, 0.5) transparent;
    scrollbar-width: 7px;
    width: 100%;
  }
  > .signupbox::-webkit-scrollbar {
    width: 7px;
  }
  > .signupbox::-webkit-scrollbar-thumb {
    background-color: rgba(75, 79, 86, 0.5);
    border-radius: 6px;
  }
  > .signupbox::-webkit-scrollbar-track {
    background-color: transparent;
    outline: 1px solid slategrey;
  }
  > .signupbox button {
    background-color: #00a400;
    border-radius: 6px;
    color: white;
    display: block;
    font-size: 19px;
    font-weight: bold;
    height: 36px;
    margin: 0 auto;
    width: 194px;
  }
  > .signupbox > div {
    padding: 5px 16px 10px;
    text-align: center;
  }
  > .signupbox > .title {
    text-align: left;
  }
  > .signupbox h1 {
    margin: 0;
  }
  > .signupbox hr {
    margin: 5px 0;
  }
  > .signupbox input {
    border: 1px solid #eee;
    border-radius: 6px;
    font-size: 17px;
    height: 44px;
    line-height: 16px;
  }
  > .signupbox input#rbirthday {
    height: 36px;
    margin: 0 auto 5px;
    max-width: 399px;
    padding: 5px;
    width: 100%;
  }
  > .signupbox input#rconfirmpassword,
  > .signupbox input#remail,
  > .signupbox input#rpassword {
    @extend ._style1;
    max-width: 399px;
    margin: 5px auto;
    position: relative;
  }
  > .signupbox input#rfirstname,
  > .signupbox input#rlastname {
    @extend ._style1;
    display: inline-block;
    max-width: 191.5px;
    margin: 5px 3px;
  }
  > .signupbox input[type='radio'] {
    border: none;
    display: inline-block;
    height: 17px;
    right: 5px;
    margin: 0;
    position: absolute;
  }
  > .signupbox .radiogroup {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-around;
  }
  > .signupbox .radiogroup div {
    border: 1px solid #eee;
    border-radius: 6px;
    font-size: 17px;
    height: 36px;
    margin: 0;
    min-width: 100px;
    padding: 10px 15px;
    position: relative;
    text-align: left;
    width: 30%;
  }
  > .signupbox label[for='rbirthday'],
  > .signupbox label[for='rgender'] {
    border: none;
    color: #606770;
    display: block;
    font-family: 'SFProText-Medium', Helvetica, Arial, sans-serif;
    font-size: 14px;
    font-weight: bold;
    height: 17px;
    margin: 5px 0;
    padding: 0;
  }
  > .signupbox p {
    color: #777777;
    font-family: Helvetica, Arial, sans-serif;
    font-size: 13px;
  }
  > .signupbox .warningframe {
    position: relative;
  }
  > .signupbox span.warning {
    color: red;
    font-size: 12px;
    left: 15px;
    position: absolute;
    bottom: 4px;
  }

  ._style1 {
    background-color: #f5f6f7;
    padding: 11px;
    width: 100%;
  }
}

.card-editor {
  background-color: white;
  border: 1px solid #cccccc;
  border-radius: 4px;
  color: #4b4f56;
  margin: 0 auto;
  min-width: 318px;
  max-width: 500px;
  position: relative;
  width: 100%;

  > .body {
    background-color: white;
    border-bottom: 1px solid #cccccc;
    position: relative;
  }
  > .body > div.feature {
    border-top: 1px solid #cccccc;
    height: 50px;
    margin: 0 12px;
    position: relative;
    width: calc(100% - 24px);
    z-index: 1;
  }
  > .body > div.feature > .featurebutton {
    border-radius: 1em;
    color: #4b4f56;
    font-size: 14px;
    font-weight: bold;
    margin: 7px 6px;
  }
  > .body > div.feature > .featurebutton > .picicon {
    border: 1px solid #4b4f56;
    height: 16px;
    margin: 0 5px 0 0;
    width: 16px;
  }
  > .body > div.feature > input[type='file'] {
    display: none;
  }
  > .body > div.feature > .privacy-selector {
    bottom: 0;
    left: 108px;
    position: absolute;
    top: 0;
    width: 114px;
  }
  > .body > div.feature > .privacy-selector > .current {
    background-color: #f0f0f0;
    border-radius: 1em;
    color: #4b4f56;
    float: left;
    font-size: 14px;
    font-weight: bold;
    margin: 7px 6px;
    padding: 6px 12px;
  }
  > .body > div.feature > .privacy-selector > .current > .arrowdown {
    display: none;
  }
  > .body > div.feature > .privacy-selector > .current > svg {
    height: 16px;
    margin: 0 5px 0 0;
    width: 16px;
  }

  > .body > img {
    border: 1px solid #cccccc;
    border-radius: 50%;
    height: 40px;
    left: 14px;
    object-fit: cover;
    position: absolute;
    top: 14px;
    width: 40px;
  }
  > .body > .caption {
    border: none;
    font-size: 1em;
    margin: 0 0 0 68px;
    min-height: 68px;
    padding: 8px;
    width: calc(100% - 68px);
  }
  > .body > .caption:hover {
    cursor: text;
  }
  > .body > .picturepreviewframe {
    padding: 0 5px 5px;
    width: 100%;
  }
  > .body > .picturepreviewframe > .picture {
    border: 1px solid #cccccc;
    display: inline-block;
    height: 100px;
    margin: 0 10px 0 0;
    position: relative;
    width: 100px;
  }
  > .body > .picturepreviewframe > .picture > svg._close-button {
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid #999999;
    border-radius: 50%;
    color: #999999;
    height: 18px;
    position: absolute;
    right: 0;
    text-align: center;
    top: 0;
    vertical-align: middle;
    width: 18px;
  }
  > .body > .picturepreviewframe > .picture > img {
    height: 100%;
    object-fit: cover;
    width: 100%;
  }

  > .foot {
    position: relative;
  }
  > .foot > button {
    background-color: #4267b2;
    border-radius: 4px;
    color: white;
    display: block;
    font-size: 14px;
    font-weight: bold;
    margin: 4px auto;
    width: 90%;
  }

  > .postedpicture {
    object-fit: cover;
    width: 100%;
  }

  > .title {
    background-color: #f5f6f7;
    border-bottom: 1px solid #cccccc;
    font-size: 14px;
    font-weight: bold;
    padding: 8px;
  }
}

.card-item {
  background-color: white;
  border: 1px solid #dddddd;
  border-radius: 4px;
  margin: 0 auto;
  max-width: 500px;
  position: relative;
  width: 100%;

  a:hover {
    text-decoration: underline;
  }

  > .body > img {
    object-fit: cover;
    width: 100%;
  }
  > .body > pre {
    margin: 12px 12px;
  }

  > .commentzone {
    display: none;
  }

  > .commentzone > a {
    display: inline-block;
    font-size: 14px;
    margin: 10px 0 10px 54px;
  }

  > .interactivebar {
    border-bottom: 1px solid #dddddd;
    color: #606770;
    font-size: 14px;
    padding: 12px 12px 0;
    text-align: right;
  }
  > .interactivebar > a {
    background-color: white;
    color: #606770;
  }
  > .interactivebar > a:first-child {
    left: 12px;
    position: absolute;
  }
  > .interactivebar div {
    border-top: 1px solid #dddddd;
    display: flex;
    flex-flow: row nowrap;
    width: 100%;
  }
  > .interactivebar button {
    background-color: white;
    flex: 1fr;
    font-weight: bold;
    width: 100%;
  }
  > .interactivebar button:hover {
    background-color: #dddddd;
  }
  > .interactivebar button svg,
  > .interactivebar button .icon {
    height: 16px;
    margin: 0 10px 0 0;
    width: 16px;
  }

  > .title {
    padding: 12px 12px 0;
  }
  > .title > a {
    color: #385898;
    font-weight: bold;
    position: absolute;
    top: 12px;
  }
  > .title > img {
    border: 1px solid #cccccc;
    border-radius: 50%;
    height: 40px;
    margin: 0 9px 0 0;
    object-fit: cover;
    width: 40px;
  }
  > .title > span {
    color: #666666;
    display: inline-block;
    font-size: 14px;
    position: absolute;
    top: 34px;
  }
  > .title > span > .privacyicon {
    position: relative;
    right: 0;
    top: 0;
  }
  > .title > span > .privacy-selector > .current > .label {
    display: none;
  }
}
/*.card-item.nothinghere {
  position: relative;

  > span {
    color: #4b4f56;
    bottom: 15px;
    font-size: 24px;
    position: absolute;
    right: 100px;
  }
}*/

.comment-editor {
  @extend .comment-item;
  padding: 10px 12px 14px !important;

  input[type='file'] {
    display: none;
  }

  .commentframe {
    position: relative;
  }
  .commentframe > svg {
    height: 16px;
    position: absolute;
    right: 14px;
    top: 10px;
    width: 16px;
  }

  .picturepreviewframe {
    padding: 0 5px 5px;
    width: 100%;
  }
  .picturepreviewframe > .picture {
    border: 1px solid #cccccc;
    display: inline-block;
    height: 100px;
    margin: 0 10px 0 0;
    position: relative;
    width: 100px;
  }
  .picturepreviewframe > .picture > svg._close-button {
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid #999999;
    border-radius: 50%;
    color: #999999;
    height: 18px;
    position: absolute;
    right: 0;
    text-align: center;
    top: 0;
    vertical-align: middle;
    width: 18px;
  }
  .picturepreviewframe > .picture > img {
    height: 100%;
    object-fit: cover;
    width: 100%;
  }
}

.comment-item {
  padding: 10px 12px 0;
  position: relative;

  .commentframe {
    color: #606770;
    font-size: 14px;
    padding: 0 0 0 42px;
  }
  .commentframe .interactive {
    color: #385898;
    margin: 0 10px;
  }
  .commentframe .like {
    display: inline;
    height: 16px;
    width: 16px;
  }
  .commentframe .menu-toggle > button {
    background-color: transparent;
    padding: 7px 7px 0 0;
  }
  .commentframe .menu-toggle > .menu {
    right: 0;
    top: 25px;
  }
  .commentframe pre {
    background-color: #f2f3f5;
    border: 1px solid #dddddd;
    border-radius: 16px;
    color: #1c1e21;
    display: inline-block;
    font-size: 1em;
    margin: 0;
    padding: 8px 10px;
    position: relative;
    width: 100%;
  }
  .commentframe pre .commentator {
    color: #385898;
    font-weight: bold;
  }
  .commentframe .pictureframe {
    max-height: 320px;
    max-width: 320px;
    position: relative;
    width: 100%;
  }
  .commentframe .pictureframe img.attached {
    border-radius: 20px;
    object-fit: contain;
    width: 100%;
  }
  .commentframe span.likesnumber {
    background-color: white;
    border: 1px solid #cccccc;
    border-radius: 1em;
    bottom: -12px;
    position: absolute;
    right: 0;
    z-index: 2;
  }

  img.commentator {
    border: 1px solid #eeeeee;
    border-radius: 50%;
    height: 32px;
    left: 12px;
    object-fit: cover;
    position: absolute;
    width: 32px;
  }
}

.error-page {
  background-color: #e9ebee;
  color: #1d2129;
  text-align: center;

  > p {
    margin: 50px auto;
  }
}

.feed-container {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 1033px;
  width: 100%;
}

.feed-left {
  color: #1d2129;
  font-size: 15px;
  max-width: 180px;
  width: 100%;

  > div {
    max-width: 186px;
    position: fixed;
    width: 100%;
  }
  > div > .link {
    color: #1d2129;
    display: block;
    font-weight: bold;
    height: 30px;
    margin: 5px 0;
    padding: 5px 5px 1px;
    width: 100%;
  }
  > div > .link.active {
    background-color: #f5f6f7;
    border: 1px solid #dddfe2;
    border-radius: 1px;
  }
  > div > .link:first-child {
    margin: 75px 0;
  }
  > div > .link > .icon {
    border-radius: 1px;
    height: 20px;
    margin: 0 5px 5px 0;
    width: 20px;
  }
  > div > .name {
    display: block;
    height: 30px;
    margin: 60px 0 8px;
    padding: 0 0 0 5px;
    width: 100%;
  }
  > div > .name > .avatar {
    border-radius: 50%;
    float: left;
    height: 20px;
    margin: 0 5px 0 0;
    width: 20px;
  }
  > div > .name > span {
    color: #1d2129;
    display: block;
    margin: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 126px;
  }
}

.feed-right {
  color: #616770;
  font-size: 15px;
  max-width: 308px;
  width: 100%;

  > div {
    max-width: 308px;
    position: fixed;
    width: 100%;
  }
  > div > .language {
    background-color: white;
    border: 1px solid #dddfe2;
    border-radius: 3px;
    color: #90949c;
    height: 66px;
    margin: 70px 0 8px;
    padding: 12px;
  }
}

.feed-zone {
  background-color: transparent;
  max-width: 515px;
  position: relative;
  width: 100%;

  .centerbackground {
    margin: 0 auto;
    padding: 15px 0;
    max-width: 515px;
  }
  .centerbackground > button {
    background-color: white;
    border: 1px solid #cccccc;
    margin: 15px auto 0;
    max-width: 500px;
    padding: 6px 12px;
    width: 100%;
  }
  .centerbackground > .whiteframe {
    background-color: white;
    border-radius: 4px;
    margin: 15px auto 0;
    max-width: 515px;
    padding: 7.5px 0;
  }
}
.feed-zone.infeedpage {
  margin: 0 15px;
  padding: 0;

  .centerbackground {
    margin: 27px auto 0;
  }
}

.friend-controller {
  > .popup {
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.45);
    padding: 3px 0;
    position: absolute;
    right: 0;
    width: 84px;
  }
  > .popup > .arrow {
    background-color: white;
    border-top: 1px solid rgba(0, 0, 0, 0.45);
    border-left: 1px solid rgba(0, 0, 0, 0.45);
    height: 7px;
    position: absolute;
    left: 20px;
    top: -4px;
    transform: rotate(45deg);
    width: 7px;
    z-index: 1;
  }
  > .popup > button {
    background-color: white;
    border: none;
    border-radius: 2px;
    margin: 0;
    padding: 2px 6px;
    width: 100%;
  }
  > .popup > button:hover {
    background-color: #4267b2;
    color: white;
  }
}

.menu-toggle {
  position: absolute;
  right: 0;
  top: 0;

  > button {
    background-color: white;
    padding: 10px 7px 0 0;
  }
  > button > span {
    background-color: #999999;
    border-radius: 50%;
    display: inline-block;
    height: 4px;
    margin: 0 1px;
    width: 4px;
  }

  > .menu {
    background-color: white;
    border: 1px solid gray;
    border-radius: 4px;
    box-shadow: 4px;
    display: block;
    margin: 0;
    padding: 5px 0;
    position: absolute;
    right: 5px;
    top: 33px;
    width: 90px;
    z-index: 3;
  }
  > .menu > button {
    background-color: white;
    border-radius: 0;
    font-size: 14px;
    padding: 0 16px;
    text-align: left;
    width: 100%;
  }
  > .menu > button:hover {
    background-color: #4267b2;
    color: white;
    font-weight: bold;
  }
}

.modal-overlay {
  align-items: center;
  bottom: 0;
  display: flex;
  justify-content: center;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 10;

  > .modalframe {
    background-color: white;
    border: 1px solid #dddfe2;
    border-radius: 3px;
    display: inline-block;
    margin: 0 auto;
    max-height: 100vh;
    max-width: 100vw;
    overflow: auto;
    position: relative;
    width: 500px;
  }
  > .modalframe > .basicbody {
    color: #1c1e21;
    padding: 12px;
    text-align: left;
  }
  > .modalframe > .basicfoot {
    border-top: 1px solid #dddfe2;
    margin: 0 12px;
    padding: 12px 0;
    text-align: right;
  }
  > .modalframe > .basicfoot > button {
    background-color: #f5f6f7;
    border: 1px solid #ccd0d5;
    border-radius: 2px;
    color: #4b4f56;
    font-weight: bold;
    margin: 0 0 0 4px;
    padding: 4px 8px;
  }
  > .modalframe > .basicfoot > button:last-child {
    background-color: #4267b2;
    color: white;
  }
  > .modalframe > .basictitle {
    background-color: #f5f6f7;
    border-bottom: 1px solid #dddfe2;
    color: #1d2129;
    font-weight: bold;
    padding: 10px 12px;
    position: relative;
    text-align: left;
  }
  > .modalframe svg._close-button {
    height: 12px;
    top: 13px;
    width: 12px;
  }
}

.nav-bar {
  font-size: 14px;
  font-weight: bold;
  margin: 0 auto;
  max-width: 1012px;
  text-align: right;

  > a {
    color: white;
    display: inline-block;
    height: 24px;
    position: relative;
  }
  > a:hover {
    background-color: #3b5da0;
  }
  a.icon {
    padding: 4px 6px;
    top: -19px;
  }
  > a:last-child {
    padding: 0;
    text-align: center;
    width: 24px;
  }
  a.home {
    padding: 0 12px;
    top: -9px;
  }
  a.logo {
    float: left;
    height: 24px;
    margin: 4px 8px 0 0;
    padding: 0;
    width: 24px;
  }
  a.text {
    display: inline-block;
    height: 32px;
    max-width: 21.3%;
    padding: 8px 12px 0 35px;
    position: relative;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  a > .arrowdown {
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-top: 8px solid #1a2947;
    display: inline-block;
    height: 8px;
    width: 14px;
  }
  a > .arrowup13 {
    @extend ._arrowup;
    bottom: -6px;
    right: 13px;
  }
  a > .arrowup6 {
    @extend ._arrowup;
    bottom: -10px;
    right: 6px;
  }
  a > .bellicon,
  a > .friendsicon {
    height: 28px;
    padding: 0 4px;
    width: 28px;
  }
  a > span.notify {
    background-color: red;
    border-radius: 4px;
    color: white;
    display: block;
    padding: 0 4px;
    position: absolute;
    right: 3px;
    top: 0;
    z-index: 6;
  }
  a.logo > img {
    width: 100%;
  }

  .avatar {
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 50%;
    height: 24px;
    left: 6px;
    margin: 0 5px 0 0;
    object-fit: cover;
    position: absolute;
    top: 6px;
    width: 24px;
  }

  button.auth {
    background-color: #42b72a;
    border-radius: 1px;
    color: white;
    font-weight: bold;
    margin: 5px 2px 0;
    padding: 3px 5px;
  }

  > div {
    display: inline-block;
    position: relative;
  }

  .friends, .notify, .setting {
    position: relative;
    top: -11px;
  }
  .friends > .widepanel > .content > li {
    padding: 6px 165px 6px 72px;
    position: relative;
  }
  .friends > .widepanel > .content > li.button, 
  .notify > .widepanel > .content > li.button {
    color: #385898;
    font-weight: normal;
    height: 33px;
    padding: 6.5px 12px;
    text-align: center;
  }
  .friends > .widepanel > .content > li.nodata, 
  .notify > .widepanel > .content > li.nodata {
    background-color: #f5f6f7;
    color: #90949c;
    font-weight: normal;
    padding: 25px 12px;
    text-align: center;
  }
  .friends > .widepanel > .content > li > div.name {
    display: table-cell;
    font-weight: normal;
    height: 54px;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
  }
  .friends > .widepanel > .content > li > div.name > a, 
  .notify > .widepanel > .content > li > div.name > a {
    color: #385898;
    font-weight: bold;
  }
  .friends > .widepanel > .content > li > .friend-controller {
    position: absolute;
    right: 10px;
    top: 17px;
  }
  .friends > .widepanel > .content > li > .friend-controller > button {
    background-color: #f5f6f7;
    border: 1px solid #eeeeee;
    border-radius: 4px;
    color: #4b4f56;
    font-weight: bold;
    margin: 2px 0 0 5px;
    padding: 4px 8px;
    width: 73px;
  }
  .friends > .widepanel > .content > li > .friend-controller > button.primary {
    background-color: #4267b2;
    color: white;
  }
  .friends > .widepanel > .content > li > .friend-controller > button > .check {
    height: 10px;
    width: 10px;
  }
  .friends > .widepanel > .content > li > img, 
  .notify > .widepanel > .content > li > img {
    left: 12px;
    position: absolute;
  }

  input.auth {
    display: inline-block;
    margin: 5px 2px 0;
    max-width: 200px;
    min-width: 90px;
    padding: 3px;
    width: 25%;
  }

  .notify > .widepanel > .content > li {
    padding: 6px 12px 6px 72px;
    position: relative;
  }
  .notify > .widepanel > .content > li:hover {
    background-color: #e5eaf2;
  }
  .notify > .widepanel > .content > li.new {
    background-color: #edf2fa;
  }
  .notify > .widepanel > .content > li > div.name {
    display: table-cell;
    font-weight: normal;
    height: 54px;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: top;
  }
  .notify > .widepanel > .content > li > .timestamp {
    bottom: 6px;
    color: #90949c;
    font-weight: normal;
    left: 74px;
    position: absolute;
  }
  .notify > .widepanel > .title > .clearall {
    color: #385898;
    font-weight: normal;
    position: absolute;
    right: 8px;
    top: 7px;
  }

  .panel {
    @extend ._panel;
    display: none;
    padding: 0;
    text-align: center;
    width: 100px;
  }
  .panel > button {
    background-color: white;
    display: block;
    width: 100%;
  }
  .panel > button:hover {
    background-color: #4267b2;
    color: white;
  }

  span.verticalline {
    border: 1px solid #3c5ea3;
    display: inline-block;
    height: 16px;
    position: relative;
    top: -8px;
    width: 2px;
  }

  .widepanel {
    @extend ._panel;
    max-width: 430px;
    overflow-y: scroll;
    scrollbar-color: rgba(75, 79, 86, 0.5) transparent;
    scrollbar-width: 7px;
    text-align: left;
    width: 76vw;
  }
  .widepanel:hover {
    scrollbar-color: rgba(75, 79, 86, 0.5) transparent;
  }
  .widepanel::-webkit-scrollbar {
    width: 7px;
  }
  .widepanel::-webkit-scrollbar-thumb {
    background-color: rgba(75, 79, 86, 0.5);
    border-radius: 6px;
  }
  .widepanel::-webkit-scrollbar-thumb:hover {
    background-color: rgba(75, 79, 86, 0.6);
  }
  .widepanel::-webkit-scrollbar-track {
    background-color: transparent;
    outline: 1px solid slategrey;
  }
  .widepanel::-webkit-scrollbar-track:hover {
    background-color: rgba(75, 79, 86, 0.25);
  }

  .widepanel > .content {
    background-color: #90949c;
    margin: 0;
  }
  .widepanel > .content > li {
    background-color: white;
    border-bottom: 1px solid #eeeeee;
    font-size: 14px;
    height: 66px;
    position: relative;
  }
  .widepanel > .content > li:hover {
    background-color: #f5f6f7;
  }
  .widepanel > .content > li > img {
    border-radius: 50%;
    height: 50px;
    margin: 0 10px 0 0;
    object-fit: cover;
    width: 50px;
  }
  .widepanel > .content > li > img:hover {
    cursor: pointer;
  }
  .widepanel > .title {
    border-bottom: 1px solid #eeeeee;
    padding: 8px 12px 6px;
  }
  .widepanel > .title > h2 {
    font-size: 14px;
    margin: 0;
  }

  ._arrowup {
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-bottom: 8px solid white;
    display: none;
    height: 8px;
    position: absolute;
    width: 14px;
    z-index: 7;
  }

  ._panel {
    background-color: white;
    border-left: 1px solid #eeeeee;
    border-right: 1px solid #eeeeee;
    border-top: 1px solid #eeeeee;
    border-radius: 2px;
    box-shadow: 0 2px 2px 2px rgba(141, 151, 158, 0.2);
    display: none;
    max-height: 80vh;
    position: absolute;
    right: 0;
    top: 36px;
    z-index: 8;
  }
}

.privacy-selector {
  border-radius: 3px;
  top: -2px;
  position: absolute;
  right: -34px;

  button {
    background-color: white;
    border-radius: 0;
  }

  > .current {
    border-radius: 2px;
    float: right;
    padding: 2px 18px 2px 2px;
    position: relative;
  }
  > .current:hover {
    background-color: #eeeeee;
    border: 1px solid #dddddd;
  }
  > .current > .arrowdown {
    border-left: 4.5px solid transparent;
    border-right: 4.5px solid transparent;
    border-top: 5px solid #666666;
    position: absolute;
    right: 5px;
    top: 7.5px;
  }

  > .list {
    background-color: white;
    border: 1px solid #eeeeee;
    border-radius: 2px;
    display: flex;
    flex-flow: column;
    margin: 22px 0 0;
    text-align: left;
    width: 147px;
    z-index: 3;
  }
  > .list > button {
    background-color: #f5f6f7;
    padding: 6px 12px 6px 36px;
    position: relative;
    text-align: left;
    width: 147px;
  }
  > .list > button:hover {
    background-color: #8fc7ff;
  }
  > .list > button > svg.active {
    left: 12px;
    position: absolute;
  }
  > .list > span.description {
    display: inline-block;
    font-size: 14px;
    padding: 6px 12px;
    width: 145px;
  }
}

.profile-about {
  margin: 0 auto;
  max-width: 850px;

  > .frame {
    background-color: white;
    border: 1px solid #d3d6db;
    margin: 0 auto 50px;
    min-height: 282px;
    padding: 12px 0 18px;
    position: relative;
  }
  > .frame > .content {
    border-left: 1px solid #cccccc;
    height: calc(100% - 18px);
    list-style-type: none;
    margin: 0;
    overflow-y: auto;
    padding: 0 16px;
    position: absolute;
    right: 0;
    top: 0;
    width: calc(100% - 220px);
    z-index: 1;
  }
  > .frame > .content > li {
    border-top: 1px solid #ebedf0;
    color: #90949c;
    padding: 12px 0;
    position: relative;
  }
  > .frame > .content > li:hover {
    background-color: #f5f6f7;
  }
  > .frame > .content > li.head {
    border-bottom: 1px solid #cccccc;
    border-top: none;
    font-size: 14px;
    font-weight: bold;
    padding: 30px 0 5px;
  }
  > .frame > .content > li.head:hover {
    background-color: white;
  }
  > .frame > .content > li > div {
    color: #1c1e21;
    display: inline-block;
    padding: 0;
    width: 100%;
  }
  > .frame > .content > li > div.withlabel {
    width: calc(100% - 150px);
  }
  > .frame > .content > li > div[contenteditable='true'] {
    background-color: white;
  }
  > .frame > .content > li > div[contenteditable='true']:hover {
    cursor: text;
  }
  > .frame > .content > li > .privacy-selector {
    color: inherit;
    display: block;
    position: absolute;
    right: 40px;
    top: 8px;
  }
  > .frame > .content > li.bio > .privacy-selector {
    top: -26px;
  }
  > .frame > .content > li > .privacy-selector > .current {
    background-color: transparent;
  }
  > .frame > .content > li > .privacy-selector > .current > span.label {
    display: none;
  }
  > .frame > .content > li > .privacy-selector > .list {
    position: absolute;
    right: 0;
  }
  > .frame > .content > li > .privacy-selector > .list > .description {
    font-size: 14px;
  }
  > .frame > .content > li > span.label {
    display: inline-block;
    width: 150px;
  }
  > .frame > .content > li > span.editbutton {
    color: #3578e5;
    display: block;
    font-size: 14px;
    position: absolute;
    right: 10px;
    top: 10px;
  }
  > .frame > .content > li.bio > span.editbutton {
    top: -25px;
  }
  > .frame > .content > li:hover > span.editbutton:hover {
    text-decoration: underline;
  }
  > .frame > .topic {
    color: #90949c;
    cursor: pointer;
    padding: 12px 0;
  }
  > .frame > .topic:hover {
    color: black;
  }
  > .frame > .topic > div {
    padding: 0 0 0 12px;
  }

  > .title {
    background-color: #f5f6f7;
    border-left: 1px solid #d3d6db;
    border-right: 1px solid #d3d6db;
    border-top: 1px solid #d3d6db;
    color: #4b4f56;
    padding: 12px;
    position: relative;
  }
  > .title > h2 {
    bottom: 6px;
    left: 46px;
    margin: 0;
    position: absolute;
  }
}

.profile-friends {
  @extend .profile-about;
  border: 1px solid #d3d6db;

  > .content {
    background-color: white;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    margin: 0;
    padding: 12px 0 18px;
    position: relative;
    width: 100%;
  }
  > .content > li {
    border: 1px solid #eeeeee;
    display: inline-block;
    overflow: hidden;
    margin: 12px 2% 0;
    max-width: 390px;
    padding: 0 90px 0 110px;
    position: relative;
    text-overflow: ellipsis;
    width: 50%;
  }
  > .content > li.button {
    color: #385898;
    padding: 38.5px 0;
    text-align: center;
  }
  > .content > li > div.name {
    display: table-cell;
    height: 98px;
    vertical-align: middle;
  }
  > .content > li > div > a {
    color: #385898;
    font-weight: bold;
  }
  > .content > li > .friend-controller {
    bottom: 0;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    position: absolute;
    right: 8px;
    top: 0;
  }
  > .content > li > .friend-controller > button:first-child {
    background-color: #f5f6f7;
  }
  > .content > li > .friend-controller > button {
    color: #4b4f56;
    background-color: white;
    border: 1px solid #d3d6db;
    border-radius: 4px;
    display: inline-block;
    flex: 1fr;
    font-weight: bold;
    margin: 5px 0;
    padding: 4px 8px;
    width: 73px;
  }
  > .content > li > .friend-controller > button.primary {
    background-color: #4267b2;
    color: white;
  }
  > .content > li > .friend-controller > button > .check {
    color: #4b4f56;
    display: inline;
    height: 10px;
    width: 10px;
  }
  > .content > li > .friend-controller > .popup {
    top: 67px;
  }
  > .content > li > img {
    height: 100px;
    left: 0;
    object-fit: cover;
    position: absolute;
    width: 100px;
  }

  > .title {
    border-bottom: 1px solid #d3d6db;
    border-left: none;
    border-right: none;
    border-top: none;
    position: relative;
    z-index: 1;
  }
  > .title > .privacy-selector {
    right: 15px;
    top: 10.5px;
  }
  > .title > .privacy-selector > .current {
    background-color: transparent;
    border: 1px solid #d3d6db;
    border-radius: 4px;
    padding: 6px 24px 6px 6px;
  }
  > .title > .privacy-selector > .current > .arrowdown {
    right: 10px;
    top: 11.5px;
  }
  > .title > .privacy-selector > .current > svg {
    margin: 0 4px 0 0;
  }
  > .title > .privacy-selector > .list {
    background-color: white;
    margin: 28px 0 0;
  }
}

.profile-header {
  margin: 42px auto 14px;
  min-height: 220px;
  max-width: 850px;
  position: relative;

  .avatar {
    border: 1px solid #cccccc;
    border-radius: 50%;
    bottom: 18px;
    height: 25vw;
    left: 22px;
    margin: 0;
    min-height: 100px;
    min-width: 100px;
    max-height: 168px;
    max-width: 168px;
    position: absolute;
    width: 25vw;
    z-index: 3;
  }
  .avatar > a {
    background: transparent;
    border-radius: 50%;
    bottom: 5px;
    color: transparent;
    display: block;
    height: 100%;
    left: 5px;
    max-height: 158px;
    max-width: 158px;
    padding: 75% 0 10% 0;
    position: absolute;
    text-align: center;
    width: 100%;
  }
  .avatar:hover > a {
    background: linear-gradient(
      to top,
      rgba(0, 0, 0, 0.5) 0%,
      rgba(0, 0, 0, 0.5) 29%,
      transparent 30%
    );
    color: #eeeeee;
  }
  .avatar > img {
    border: 4px solid white;
    border-radius: 50%;
    height: 100%;
    max-height: 166px;
    max-width: 166px;
    object-fit: cover;
    width: 100%;
  }

  .coveredit {
    color: #999999;
    font-weight: bold;
    left: 3%;
    padding: 6px 6px 6px 12px;
    position: absolute;
    top: 5%;
  }
  .coveredit > svg {
    height: 20px;
    margin: 0 5px 0 0;
    width: 20px;
  }

  .friend-controller {
    bottom: 60px;
    position: absolute;
    right: 16px;
    z-index: 4;
  }
  .friend-controller > button {
    background-color: #f5f6f7;
    border: 1px solid #ccd0d5;
    border-radius: 2px;
    color: #4b4f56;
    font-weight: bold;
    margin: 5px 0 0 10px;
    padding: 5px 10px;
  }
  .friend-controller > button.primary {
    background-color: #4267b2;
    color: white;
  }
  .friend-controller > button > .check {
    color: #4b4f56;
    height: 10px;
    width: 10px;
  }
  .friend-controller > .popup {
    top: 37px;
  }

  .fullname {
    bottom: 60px;
    color: white;
    display: block;
    font-size: 26px;
    margin: 0;
    max-width: 275px;
    padding: 0;
    position: absolute;
    height: 60px;
    left: 235px;
    width: 75vw;
    z-index: 3;
  }

  .fullnamebackground {
    background: linear-gradient(to top, rgba(0, 0, 0, 0.6), transparent);
    bottom: 44px;
    height: 100px;
    position: absolute;
    width: 100%;
    z-index: 2;
  }

  input[type='file'] {
    display: none;
  }

  .menu {
    background-color: white;
    border: 1px solid #d3d6db;
    bottom: 0;
    height: 44px;
    padding: 0 0 0 212px;
    position: absolute;
    width: 100%;
  }
  .menu > div {
    display: inline-block;
    height: 100%;
    position: relative;
  }
  .menu > div > a {
    border-radius: 6px;
    border-right: 1px solid #e9eaed;
    display: table-cell;
    font-weight: bold;
    height: 42px;
    margin: 0;
    padding: 3px 20px;
    text-align: center;
    vertical-align: middle;
  }
  .menu > div > a:first-child {
    border-left: 1px solid #e9eaed;
  }
  .menu > div > a:hover {
    background-color: #f5f6f7;
  }
  .menu > div > a:visited {
    color: #0000ee;
  }
  .menu > div > .arrowup9 {
    background-color: #e9ebee;
    border-left: 1px solid #d3d6db;
    border-top: 1px solid #d3d6db;
    bottom: -9px;
    height: 16px;
    left: 0;
    margin: 0 auto;
    position: absolute;
    right: 0;
    transform: rotate(45deg);
    width: 16px;
    z-index: 3;
    /*border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-bottom: 12px solid #e9ebee;
    bottom: -1px;
    height: 14px;
    left: 0;
    margin: 0 auto;
    position: absolute;
    right: 0;
    width: 18px;
    z-index: 3;*/
  }

  .profilecover {
    height: 100%;
    max-height: 315px;
    min-height: 60px;
    object-fit: cover;
    width: 100%;
  }
}
.profile-header:hover {
  > .coveredit {
    background-color: rgba(0, 0, 0, 0.5);
    border: 1px solid #cccccc;
    border-radius: 2px;
    color: #cccccc;
    padding: 6px 12px;
  }
  > .coveredit::after {
    content: ' Edit Cover';
  }
}

.search-panel {
  display: inline-block;
  float: left;
  margin: 4px 0 0;
  max-width: 448px;
  padding: 0;
  position: relative;
  width: 40%;

  .input {
    background-color: white;
    border: 1px solid #3b5998;
    border-radius: 2px;
    height: 26px;
    padding: 0 36px 0 8px;
    width: 100%;
  }

  .loading {
    height: 20px;
    position: absolute;
    right: 8px;
    top: 3px;
    width: 20px;
  }

  .result {
    background-color: white;
    margin: 0;
    max-height: calc(100vh - 42px);
    overflow-y: auto;
    position: absolute;
    scrollbar-color: rgba(75, 79, 86, 0.5) transparent;
    scrollbar-width: 7px;
    top: 33px;
    width: calc(100% - 7px);
  }
  .result:hover {
    scrollbar-color: rgba(75, 79, 86, 0.5) transparent;
  }
  .result::-webkit-scrollbar {
    width: 7px;
  }
  .result::-webkit-scrollbar-thumb {
    background-color: rgba(75, 79, 86, 0.5);
    border-radius: 6px;
  }
  .result::-webkit-scrollbar-thumb:hover {
    background-color: rgba(75, 79, 86, 0.6);
  }
  .result::-webkit-scrollbar-track {
    background-color: transparent;
    outline: 1px solid slategrey;
  }
  .result::-webkit-scrollbar-track:hover {
    background-color: rgba(75, 79, 86, 0.25);
  }

  .result > li {
    padding: 6px 12px 6px 72px;
    position: relative;
  }
  .result > li:hover {
    background-color: #ecf0f7;
    cursor: pointer;
  }
  .result > li > div.name {
    display: table-cell;
    height: 54px;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
  }
  .result > li > div.name > a {
    color: #385898;
    font-weight: bold;
  }
  .result > li > img {
    border-radius: 50%;
    height: 50px;
    left: 12px;
    position: absolute;
    width: 50px;
  }

  .searchbutton {
    display: none;
    float: left;
    height: 24px;
    margin: 0;
    padding: 0;
    text-align: center;
    width: 24px;
  } 
  .searchbutton > svg._back-button {
    display: inline-block;
    height: 24px;
    width: 14px;
  }

  svg._close-button {
    height: 14px;
    position: absolute;
    right: 11px;
    top: 6px;
    width: 14px;
  }
}

.time-line {
  margin: 0 auto;
  max-width: 850px;
  padding: 0 515px 0 0;
  position: relative;

  .left {
    display: inline-block;
    margin: 0;
    width: 100%;
  }
  .left > .album {
    background-color: white;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    padding: 40px 3px 3px;
    position: relative;
    margin: 12px 0 0;
  }
  .left > .album > h3 {
    font-size: 16px;
    left: 10px;
    margin: 0;
    position: absolute;
    top: 10px;
  }
  .left > .album > img {
    display: inline-block;
    height: 100px;
    margin: 0 5px;
    object-fit: cover;
    width: 100px;
  }

  .left > .content {
    background-color: white;
    list-style-type: none;
    margin: 0;
    max-width: 335px;
    padding: 12px;
    position: relative;
    width: 100%;
  }
  .left > .content > li.bio > .privacy-selector {
    position: absolute;
    right: 50px;
    top: 25px;
    width: 147px;
  }
  .left > .content > li.bio > .privacy-selector > .list {
    right: 0;
    top: 0;
  }
  .left > .content > li.bio > .privacy-selector > .list > .description {
    font-size: 14px;
  }
  .left > .content > li.head {
    font-weight: bold;
    margin: 0 0 5px;
  }
  .left > .content > li.head > i.globe {
    background-image: url('/images/fbicons.png');
    background-position: 0 -25px;
    display: inline-block;
    margin: 0 5px 0 0;
    height: 24px;
    width: 24px;
  }
  .left > .content > li > .editablediv {
    width: 100%;
  }
  .left > .content > li > .editablediv[contenteditable='true']:hover {
    cursor: text;
  }
  .left > .content > li span.editbutton {
    color: #3578e5;
    display: block;
    font-size: 14px;
    position: absolute;
    right: 20px;
    top: 16px;
  }

  .left > .language {
    background-color: white;
    border: 1px solid #dddfe2;
    border-radius: 3px;
    color: #90949c;
    font-size: 14px;
    height: 66px;
    margin: 12px 0 8px;
    padding: 12px;
  }
  .left > .misc {
    color: #616770;
    font-size: 14px;
  }

  .right {
    @extend .feed-zone;
    background-color: transparent;
    display: inline-block;
    margin: 0;
    max-width: 515px;
    padding: 0 0 0 15px;
    position: absolute;
    right: 0;
    top: -15px;

    .centerbackground {
      padding: 0 0 15px;
    }
    .centerbackground > .whiteframe {
      padding: 0;
    }
  }
}

@media (max-width: 991px) {
  .auth-footer {
    margin: 0 auto;
  }
  .auth-loginpage {
    > .container {
      margin: 0;
      padding: 14vh 0;
    }
    .left {
      display: block;
      padding: 0;
      width: 100%;
    }
    .left > .brand {
      margin: 0 auto 24px;
    }
    .left > .decorate {
      display: none;
    }
    .left > p {
      display: none;
    }
    .right {
      display: block;
    }
    .right > .loginbox {
      margin: 0 auto;
      max-width: 396px;
      width: 100%;
    }
  }
  .feed-container {
    max-width: 710px;
  }
  .feed-right {
    display: none;
  }
  .profile-friends {
    > .content > li {
      min-width: 300px;
      width: 46%;
    }
  }
  .profile-header {
    .avatar > a {
      bottom: 3px;
      left: 3px;
    }
    .fullname {
      width: 70vw;
    }
  }
}

@media (max-width: 767px) {
  .feed-container {
    justify-content: space-around;
  }
  .feed-left {
    display: none;
  }
  .feed-zone.infeedpage {
    margin: 0 auto;
  }
  .profile-friends {
    > .content > li {
      margin: 12px 1% 0;
      width: 46%;
    }
  }
  .time-line {
    padding: 0;
    .left, .album, .language, .misc {
      display: none;
    }
    .right {
      display: block;
      margin: 0 auto;
      padding: 0;
      position: static;
    }
  }
}

@media (max-width: 575px) {
  .nav-bar {
    .friends > .widepanel > .content > li {
      padding: 6px 80px 6px 65px;
    }
    .friends > .widepanel > .content > li > .friend-controller {
      display: grid;
      grid-template-rows: 1fr 1fr;
      right: 3px;
    }
    .friends > .widepanel > .content > li > .friend-controller.twobuttons {
      bottom: 0;
      top: 0;
    }
    .friends > .widepanel > .content > li > img {
      left: 5px;
    }
    .search {
      display: none !important;
    }
  }
  .profile-about {
    > .frame {
      min-height: inherit;
    }
    > .frame > .content {
      border-left: none;
      height: inherit;
      padding: 16px;
      position: relative;
      width: 100%;
    }
    > .frame > .content > li.head {
      padding: 10px 0 5px;
    }
    > .frame > .content > li > div.withlabel {
      width: calc(100% - 100px);
    }
    > .frame > .content > li > span.label {
      width: 100px;
    }
    > .frame > .topic {
      border-top: 1px solid #ebedf0;
    }
    > .frame > .topic:first-child {
      border-top: none;
    }
  }
  .profile-friends {
    > .content > li {
      width: 100%;
    }
  }
  .profile-header {
    .avatar {
      left: 11px;
    }
    .avatar > a {
      bottom: 2px;
      left: 2px;
    }
    .fullname {
      left: 35vw;
      width: calc(100% - 35vw - 66px);
    }
    .menu {
      padding: 0 0 0 119px;
    }
  }
  .search-panel {
    padding: 0 5px;
    width: 34px;
    .input {
      display: none;
    }
    .loading {
      display: none;
    }
    .result {
      display: none;
    }
    .searchbutton {
      display: inline-block;
    }
    svg._close-button {
      display: none;
    }
  }
  .search-panel.search {
    display: inline-block !important;
    max-width: 555px;
    width: 100%;
    .input {
      display: inline-block !important;
      width: calc(100% - 34px);
    }
    .loading {
      display: inline-block !important;
      right: 16px;
    }
    .result {
      display: block !important;
    }
    svg._close-button {
      display: inline-block !important;
      right: 16px;
    }
  }
}

@media (max-width: 500px) {
  .feed-zone {
    .centerbackground > .whiteframe {
      padding: 0;
    }
  }
}

@media (max-width: 433px) {
  .auth-signupmodal {
    > .signupbox input#rfirstname,
    > .signupbox input#rlastname {
      max-width: 399px;
    }
    > .signupbox span.warning {
      font-size: 8.5px;
    }
  }
  .nav-bar {
    a.text {
      padding: 8px 0 0 6px;
      width: 35px;
      span {
        display: none;
      }
    }
    .friends > .widepanel > .content > li > a {
      max-width: 140px;
      width: 40%;
    }
  }
  .profile-about {
    h2 {
      font-size: 22px;
    }
  }
  .profile-friends {
    > .content > li {
      padding: 0 80px 0 60px;
    }
    > .content > li.button {
      padding: 13.5px 0;
    }
    > .content > li > div.name {
      height: 48px;
    }
    > .content > li > .friend-controller {
      right: 5px;
    }
    > .content > li > .friend-controller > .popup {
      padding: 0 5px 1px 0;
      right: 78px;
      top: 12px;
    }
    > .content > li > .friend-controller > .popup > .arrow {
      border-left: 0;
      border-right: 1px solid rgba(0, 0, 0, 0.45);
      left: inherit;
      right: -4px;
      top: 8px;
    }
    > .content > li > img {
      height: 50px;
      width: 50px;
    }
  }
  .profile-header {
    a {
      font-size: 14px;
    }
    .avatar {
      left: 5px;
    }
    .avatar > a {
      bottom: 0;
      left: 0;
    }
    .friend-controller {
      bottom: 49px;
      display: grid;
      grid-template-rows: 1fr 1fr;
      right: 5px;
    }
    .fullname {
      font-size: 24px;
    }
    .menu {
      padding: 0 0 0 90px;
    }
    .menu > div > a {
      padding: 10px 7px;
    }
  }
}
